"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RearguardConfig_1 = require("../../configs/RearguardConfig");
const docker_1 = require("../../templates/docker");
const nginx_1 = require("../../templates/nginx");
const commonPreset_1 = require("../procedures/commonPreset");
const RearguardDevConfig_1 = require("../../configs/RearguardDevConfig");
const mkdir_1 = require("../../helpers/mkdir");
const bundleNaming_1 = require("../../helpers/bundleNaming");
const indexHtml_1 = require("../../templates/indexHtml");
const initPackage_1 = require("../procedures/initPackage");
async function init_browser_app(flags) {
    const CWD = process.cwd();
    await initPackage_1.initPackage(CWD);
    const rearguardConfig = new RearguardConfig_1.RearguardConfig(CWD);
    const rearguardLocalConfig = new RearguardDevConfig_1.RearguardDevConfig(CWD);
    await rearguardLocalConfig.setBuildStatus("init");
    await rearguardConfig.setRuntime("browser");
    await rearguardConfig.setType("app");
    await docker_1.frontEndDockerfileTemplate.render(flags);
    await docker_1.dockerComposeExampleTemplate.render(flags);
    await nginx_1.nginxTemplate.render(flags);
    await docker_1.dockerIgnoreTemplate.render(flags);
    await commonPreset_1.commonPreset(flags, CWD);
    mkdir_1.mkdir(bundleNaming_1.getPublicDirPath(CWD));
    await indexHtml_1.indexHtmlTemplate.render(flags);
    await indexHtml_1.copyPublicAssets(CWD, flags.force);
}
exports.init_browser_app = init_browser_app;
//# sourceMappingURL=init_browser_app.js.map