"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RearguardConfig_1 = require("../../configs/RearguardConfig");
const RearguardDevConfig_1 = require("../../configs/RearguardDevConfig");
const docker_1 = require("../../templates/docker");
const commonPreset_1 = require("../procedures/commonPreset");
const initPackage_1 = require("../procedures/initPackage");
async function init_node_app(flags) {
    const CWD = process.cwd();
    await initPackage_1.initPackage(CWD);
    const rearguardConfig = new RearguardConfig_1.RearguardConfig(CWD);
    const rearguardLocalConfig = new RearguardDevConfig_1.RearguardDevConfig(CWD);
    await rearguardLocalConfig.setBuildStatus("init");
    await rearguardConfig.setRuntime("node");
    await rearguardConfig.setType("app");
    await rearguardConfig.setBin("./bin/index.ts");
    await docker_1.backEndDockerfileTemplate.render(flags);
    await docker_1.dockerComposeExampleTemplate.render(flags);
    await docker_1.dockerIgnoreTemplate.render(flags);
    await commonPreset_1.commonPreset(flags, CWD);
}
exports.init_node_app = init_node_app;
//# sourceMappingURL=init_node_app.js.map