"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const webpack_1 = __importDefault(require("webpack"));
const webpack_config_app_1 = require("../../../webpack/webpack.config.app");
const getWebpackStats_1 = require("../../../webpack/components/getWebpackStats");
exports.buildBrowserApp = async (CWD, options) => {
    if (options.only_dev) {
        console.log("");
        console.log(chalk_1.default.bold.blue(`[ BROWSER_APP ][ ASSEMBLY FOR DEVELOPMENT ]`));
        console.log("");
        process.env.NODE_ENV = "development";
        const devAppWebpackConfig = await webpack_config_app_1.getAppWebpackConfig(CWD, true, true, options.debug);
        await new Promise((resolve, reject) => {
            webpack_1.default(devAppWebpackConfig).run((err, stats) => {
                if (err) {
                    reject(err);
                }
                else {
                    console.info(stats.toString(getWebpackStats_1.getWebpackStats(CWD)));
                    resolve();
                }
            });
        });
    }
    else {
        console.log(chalk_1.default.bold.blue(`[ BROWSER_APP ][ ASSEMBLY FOR PRODUCTION ]`));
        console.log("");
        process.env.NODE_ENV = "production";
        const prodAppWebpackConfig = await webpack_config_app_1.getAppWebpackConfig(CWD, false, true, options.debug);
        await new Promise((resolve, reject) => {
            webpack_1.default(prodAppWebpackConfig).run((err, stats) => {
                if (err) {
                    reject(err);
                }
                else {
                    console.info(stats.toString(getWebpackStats_1.getWebpackStats(CWD)));
                    resolve();
                }
            });
        });
    }
    console.log("");
};
//# sourceMappingURL=buildBrowserApp.js.map