"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const webpack_1 = __importDefault(require("webpack"));
const hasVendorImports_1 = require("../hasVendorImports");
const webpack_config_dll_1 = require("../../../webpack/webpack.config.dll");
const getWebpackStats_1 = require("../../../webpack/components/getWebpackStats");
exports.buildDllBundles = async (CWD, options) => {
    if (await hasVendorImports_1.hasVendorImports(CWD)) {
        if (!options.only_dev) {
            console.log(chalk_1.default.bold.blue(`[ DLL ][ BUNDLE ][ ASSEMBLY FOR PRODUCTION ]`));
            console.log("");
            process.env.NODE_ENV = "production";
            const prodWebpackConfig = await webpack_config_dll_1.getDLLWebpackConfig(CWD, false, options.debug, options.need_update_build_time);
            await new Promise((resolve, reject) => {
                webpack_1.default(prodWebpackConfig).run((err, stats) => {
                    if (err) {
                        reject(err);
                    }
                    else {
                        console.info(stats.toString(getWebpackStats_1.getWebpackStats(CWD)));
                        resolve();
                    }
                });
            });
        }
        console.log("");
        console.log(chalk_1.default.bold.blue(`[ DLL ][ BUNDLE ][ ASSEMBLY FOR DEVELOPMENT ]`));
        console.log("");
        process.env.NODE_ENV = "development";
        const devWebpackConfig = await webpack_config_dll_1.getDLLWebpackConfig(CWD, true, options.debug, options.need_update_build_time);
        await new Promise((resolve, reject) => {
            webpack_1.default(devWebpackConfig).run((err, stats) => {
                if (err) {
                    reject(err);
                }
                else {
                    console.info(stats.toString(getWebpackStats_1.getWebpackStats(CWD)));
                    resolve();
                }
            });
        });
        console.log("");
    }
};
//# sourceMappingURL=buildDllBundles.js.map