"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const copy_1 = __importDefault(require("copy"));
const path_1 = __importDefault(require("path"));
const const_1 = require("../../const");
const bundleNaming_1 = require("../../helpers/bundleNaming");
exports.copyBundlesAndPublicToDist = async (CWD) => {
    const distDirPath = path_1.default.resolve(CWD, const_1.DISTRIBUTIVE_DIR_NAME);
    await new Promise((resolve, reject) => {
        copy_1.default([`${path_1.default.resolve(CWD, const_1.DLL_BUNDLE_DIR_NAME)}/**`], distDirPath, (error, files) => {
            if (!error) {
                if (files) {
                    console.log(chalk_1.default.cyan(`[ COPY ][ DLL ][ BUNDLE ][ FILES ${files.length} ][ TO_DIST ]`));
                }
                resolve();
            }
            else {
                reject(error);
            }
        });
    });
    await new Promise((resolve, reject) => {
        copy_1.default([`${path_1.default.resolve(CWD, const_1.LIB_BUNDLE_DIR_NAME)}/**`], distDirPath, (error, files) => {
            if (!error) {
                if (files) {
                    console.log(chalk_1.default.cyan(`[ COPY ][ LIB ][ BUNDLE ][ FILES ${files.length} ][ TO_DIST ]`));
                }
                resolve();
            }
            else {
                reject(error);
            }
        });
    });
    await new Promise((resolve, reject) => {
        copy_1.default([`${bundleNaming_1.getPublicDirPath(CWD)}/**`, `!${bundleNaming_1.getPublicDirPath(CWD)}/index.html`], distDirPath, (error, files) => {
            if (!error) {
                if (files) {
                    console.log(chalk_1.default.cyan(`[ COPY ][ PUBLIC ][ FILES ${files.length} ][ TO_DIST ]`));
                }
                resolve();
            }
            else {
                reject(error);
            }
        });
    });
    console.log("");
};
//# sourceMappingURL=copyBundlesAndPublicToDist.js.map