"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
exports.getENV = (CWD) => {
    try {
        const { parsed = {} } = require("dotenv").config({
            path: path_1.default.resolve(CWD, ".env"),
            debug: process.env.DEBUG,
        });
        return {
            interpolationHTML: parsed,
            definePlugin: Object.keys(parsed).reduce((env, key) => {
                env[`process.env.${key}`] = JSON.stringify(parsed[key]);
                return env;
            }, {}),
        };
    }
    catch (error) {
        console.error(error);
    }
    return {
        interpolationHTML: {},
        definePlugin: {},
    };
};
//# sourceMappingURL=getENV.js.map