"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const getMapOfDependencies_1 = require("./getMapOfDependencies");
const getSortedListOfDependenciesBase = async (CWD, monoDependencyDirs, target = "", searchInMonoDirectory = false) => {
    const mapOfDependencies = await getMapOfDependencies_1.getMapOfDependencies(CWD, monoDependencyDirs, new Map(), target, searchInMonoDirectory);
    const listOfDependencies = [];
    for (const [key, value] of mapOfDependencies.entries()) {
        listOfDependencies.push([key, value]);
    }
    return listOfDependencies.sort((a, b) => (a[1] > b[1] ? 1 : -1)).map((item) => item[0]);
};
exports.getSortedListOfDependencies = async (CWD) => {
    return await getSortedListOfDependenciesBase(CWD, []);
};
exports.getSortedListOfMonoComponents = async (CWD, components) => {
    return await getSortedListOfDependenciesBase(CWD, components, "", true);
};
//# sourceMappingURL=getSortedListOfDependencies.js.map