"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const RearguardConfig_1 = require("../../configs/RearguardConfig");
const fs_1 = __importDefault(require("fs"));
const util_1 = require("util");
const exists = util_1.promisify(fs_1.default.exists);
const readFile = util_1.promisify(fs_1.default.readFile);
exports.hasVendorImports = async (CWD) => {
    try {
        const rearguardConfig = new RearguardConfig_1.RearguardConfig(CWD);
        const dllEntryPath = path_1.default.resolve(CWD, rearguardConfig.getContext(), rearguardConfig.getDllEntry());
        if (await exists(dllEntryPath)) {
            const content = await readFile(dllEntryPath);
            return /import "[@a-zA-Z/.-]*";/g.test(content.toString());
        }
    }
    catch (error) {
        console.trace(error);
    }
    return false;
};
//# sourceMappingURL=hasVendorImports.js.map