"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const path_1 = __importDefault(require("path"));
const execa_1 = __importDefault(require("execa"));
const dependencyPaths_1 = require("../../helpers/dependencyPaths");
const RearguardConfig_1 = require("../../configs/RearguardConfig");
exports.runTsNodeDev = async (CWD) => {
    console.log(chalk_1.default.bold.blue(`[ RUN TS-NODE-DEV ]`));
    console.log("");
    const rearguardConfig = new RearguardConfig_1.RearguardConfig(CWD);
    const context = rearguardConfig.getContext();
    const libEntry = rearguardConfig.getLibEntry();
    const entryPath = path_1.default.normalize(`${context}/${libEntry}`);
    const execaOptions = {
        cwd: CWD,
        stdout: "inherit",
        stderr: "inherit",
    };
    try {
        await execa_1.default(dependencyPaths_1.getTypescriptNodeDevBin(CWD), ["--prefer-ts", "--type-check", "--respawn", entryPath], execaOptions);
    }
    catch (error) {
        console.error(chalk_1.default.bold.magenta(error.message));
    }
};
//# sourceMappingURL=runTsNodeDev.js.map