"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const RearguardConfig_1 = require("../../configs/RearguardConfig");
const postCssConfig_1 = require("../../templates/postCssConfig");
const prettierignore_1 = require("../../templates/prettierignore");
const prettierrc_1 = require("../../templates/prettierrc");
const typingNonTypescriptModules_1 = require("../../templates/typingNonTypescriptModules");
const vsCode_1 = require("../../templates/vsCode");
const stylelint_1 = require("../../templates/stylelint");
const stylelintignore_1 = require("../../templates/stylelintignore");
exports.staticTemplates = async (options, CWD = process.cwd()) => {
    const rearguardConfig = new RearguardConfig_1.RearguardConfig(CWD);
    const context = path_1.default.resolve(CWD, rearguardConfig.getContext());
    const isBrowser = rearguardConfig.isBrowser();
    const isIsomorphic = rearguardConfig.isIsomorphic();
    if (isBrowser || isIsomorphic) {
        await stylelint_1.stylelintrcTemplate.render(options, CWD);
        await stylelintignore_1.stylelintIgnoreTemplate.render(options, CWD);
        await typingNonTypescriptModules_1.typingNonTypescriptModulesTemplate.render(options, context);
    }
    await postCssConfig_1.postCSSConfigTemplate.render(options);
    await prettierrc_1.prettierTemplate.render(options);
    await prettierignore_1.prettierIgnoreTemplate.render(options);
    await vsCode_1.vsCodeSettingsTemplate.render(options);
    await vsCode_1.vsCodeExtensionsTemplate.render(options);
};
//# sourceMappingURL=staticTemplates.js.map