"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RearguardConfig_1 = require("../../configs/RearguardConfig");
const updateVSCodeSettingsForMonoRepo_1 = require("../procedures/updateVSCodeSettingsForMonoRepo");
const start_browser_app_1 = require("./start_browser_app");
const start_browser_lib_1 = require("./start_browser_lib");
const start_isomorphic_1 = require("./start_isomorphic");
const start_node_app_1 = require("./start_node_app");
const start_node_lib_1 = require("./start_node_lib");
const defaultOptions = {
    release: false,
    debug: false,
    ts_node_dev: false,
};
async function start_component(options = defaultOptions) {
    const CWD = process.cwd();
    const rearguardConfig = new RearguardConfig_1.RearguardConfig(CWD);
    const isIsomorphic = rearguardConfig.isIsomorphic();
    const isBrowser = rearguardConfig.isBrowser();
    const isNode = rearguardConfig.isNode();
    const isApp = rearguardConfig.isApp();
    const isLib = rearguardConfig.isLib();
    await updateVSCodeSettingsForMonoRepo_1.updateVSCodeSettingsForMonoRepo(CWD);
    if (isIsomorphic) {
        await start_isomorphic_1.start_isomorphic(options);
    }
    if (isBrowser && isLib) {
        await start_browser_lib_1.start_browser_lib(options);
    }
    if (isBrowser && isApp) {
        await start_browser_app_1.start_browser_app(options);
    }
    if (isNode && isLib) {
        await start_node_lib_1.start_node_lib();
    }
    if (isNode && isApp) {
        await start_node_app_1.start_node_app();
    }
}
exports.start_component = start_component;
//# sourceMappingURL=index.js.map