"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const RearguardConfig_1 = require("../../configs/RearguardConfig");
const processQueue_1 = require("../../helpers/processQueue");
const buildOutdatedDependency_1 = require("../procedures/build/buildOutdatedDependency");
const buildUnfinishedDependencies_1 = require("../procedures/build/buildUnfinishedDependencies");
const copyBundlesToProject_1 = require("../procedures/copyBundlesToProject");
const copyGlobalLinkedModules_1 = require("../procedures/copyGlobalLinkedModules");
const deleteExternalBundles_1 = require("../procedures/deleteExternalBundles");
const runNodeServer_1 = require("../procedures/runNodeServer");
const watchLinkedModules_1 = require("../procedures/watchLinkedModules");
async function start_node_app() {
    console.log(chalk_1.default.bold.blue(`[ NODE APP ][ START ]`));
    console.log("");
    const CWD = process.cwd();
    const rearguardConfig = new RearguardConfig_1.RearguardConfig(CWD);
    const name = rearguardConfig.getName();
    await processQueue_1.processQueue.getInQueue(name);
    await buildUnfinishedDependencies_1.buildUnfinishedDependencies(CWD);
    await buildOutdatedDependency_1.buildOutdatedDependency(CWD);
    await deleteExternalBundles_1.deleteExternalBundles(CWD, true);
    await copyGlobalLinkedModules_1.copyGlobalLinkedModules(CWD);
    await copyBundlesToProject_1.copyBundlesToProject(CWD);
    await watchLinkedModules_1.watchLinkedModules(CWD);
    await processQueue_1.processQueue.getOutQueue(name);
    await runNodeServer_1.runNodeServer(CWD);
}
exports.start_node_app = start_node_app;
//# sourceMappingURL=start_node_app.js.map