"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const const_1 = require("../const");
function getPublicDirPath(CWD) {
    return path_1.default.resolve(CWD, const_1.PUBLIC_DIR_NAME);
}
exports.getPublicDirPath = getPublicDirPath;
function getDLLRuntimeName(snakeName) {
    return `DLL_${snakeName}`;
}
exports.getDLLRuntimeName = getDLLRuntimeName;
function getLIBRuntimeName(snakeName) {
    return `LIB_${snakeName}`;
}
exports.getLIBRuntimeName = getLIBRuntimeName;
exports.getBundleSubDir = (isDevelopment) => isDevelopment ? "dev" : "prod";
function getDLLBundleOutputPath(CWD, snakeName, isDevelopment) {
    return path_1.default.resolve(CWD, const_1.DLL_BUNDLE_DIR_NAME, snakeName, exports.getBundleSubDir(isDevelopment));
}
exports.getDLLBundleOutputPath = getDLLBundleOutputPath;
function getLIBBundleOutputPath(CWD, snakeName, isDevelopment) {
    return path_1.default.resolve(CWD, const_1.LIB_BUNDLE_DIR_NAME, snakeName, exports.getBundleSubDir(isDevelopment));
}
exports.getLIBBundleOutputPath = getLIBBundleOutputPath;
function getDLLAssetsPath(CWD, snakeName, isDevelopment) {
    return path_1.default.resolve(getDLLBundleOutputPath(CWD, snakeName, isDevelopment), const_1.ASSETS_MANIFEST_NAME);
}
exports.getDLLAssetsPath = getDLLAssetsPath;
function getLIBAssetsPath(CWD, snakeName, isDevelopment) {
    return path_1.default.resolve(getLIBBundleOutputPath(CWD, snakeName, isDevelopment), const_1.ASSETS_MANIFEST_NAME);
}
exports.getLIBAssetsPath = getLIBAssetsPath;
function getDLLManifestPath(CWD, snakeName, isDevelopment) {
    return path_1.default.resolve(getDLLBundleOutputPath(CWD, snakeName, isDevelopment), const_1.DLL_MANIFEST_NAME);
}
exports.getDLLManifestPath = getDLLManifestPath;
//# sourceMappingURL=bundleNaming.js.map