"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const execa_1 = __importDefault(require("execa"));
let cacheGlobalNodeModulePath = "";
exports.getGlobalNodeModulePath = () => {
    if (cacheGlobalNodeModulePath !== "") {
        return cacheGlobalNodeModulePath;
    }
    const { stdout } = execa_1.default.sync("npm", ["root", "-g"], { encoding: "utf-8" });
    cacheGlobalNodeModulePath = stdout.replace("\n", "");
    return cacheGlobalNodeModulePath;
};
exports.getLocalNodeModulePath = (CWD) => {
    return path_1.default.resolve(CWD, "node_modules");
};
exports.getRearguardNodeModulesPath = (CWD) => {
    const globalNodeModulePath = exports.getGlobalNodeModulePath();
    const localNodeModulePath = exports.getLocalNodeModulePath(CWD);
    const locallyInstalledRearguard = path_1.default.resolve(localNodeModulePath, "rearguard");
    if (fs_1.default.existsSync(locallyInstalledRearguard)) {
        return localNodeModulePath;
    }
    const globalRearguardNodeModules = path_1.default.resolve(globalNodeModulePath, "rearguard/node_modules");
    if (fs_1.default.existsSync(globalRearguardNodeModules)) {
        return globalRearguardNodeModules;
    }
    throw new Error("Rearguard in not installed, please execute `npm i -g rearguard`.");
};
exports.getTypescriptBin = (CWD) => {
    return path_1.default.resolve(exports.getRearguardNodeModulesPath(CWD), ".bin/tsc");
};
exports.getTypescriptNodeDevBin = (CWD) => {
    return path_1.default.resolve(exports.getRearguardNodeModulesPath(CWD), ".bin/ts-node-dev");
};
//# sourceMappingURL=dependencyPaths.js.map