"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const del_1 = __importDefault(require("del"));
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const const_1 = require("../../const");
const Template_1 = require("../Template");
exports.indexHtmlTemplate = new Template_1.Template("index.html", `${const_1.PUBLIC_DIR_NAME}/index.html`, __dirname);
exports.copyPublicAssets = async (CWD, force = false) => {
    const pathToSource = path_1.default.resolve(__dirname, "public");
    const pathToDestination = path_1.default.resolve(CWD, "public");
    const fileNames = [];
    if (fs_1.default.existsSync(pathToSource)) {
        const sourceFileNames = fs_1.default.readdirSync(pathToSource);
        for (const sourceFileName of sourceFileNames) {
            const pathToDestinationFile = path_1.default.resolve(pathToDestination, sourceFileName);
            if (!fs_1.default.existsSync(pathToDestinationFile) || force) {
                fileNames.push(sourceFileName);
            }
        }
    }
    if (fileNames.length > 0) {
        const paths = await del_1.default(fileNames.map((fileName) => path_1.default.resolve(pathToDestination, fileName)));
        if (paths.length > 0) {
            console.log(chalk_1.default.bold.gray(`[ CLEAN ]`));
            for (const item of paths) {
                console.log(chalk_1.default.gray(`[ REMOVE ][ ${path_1.default.relative(process.cwd(), item)} ]`));
            }
            console.log("");
        }
        for (const fileName of fileNames) {
            const pathToSourceFile = path_1.default.resolve(pathToSource, fileName);
            const pathToDestinationFile = path_1.default.resolve(pathToDestination, fileName);
            fs_1.default.copyFileSync(pathToSourceFile, pathToDestinationFile);
        }
        console.log(chalk_1.default.cyan(`[ COPY ][ PUBLIC ][ ${fileNames.length} FILES ]`));
        console.log("");
    }
};
//# sourceMappingURL=index.js.map