"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const RearguardConfig_1 = require("../../configs/RearguardConfig");
const bundleNaming_1 = require("../../helpers/bundleNaming");
exports.getAppEntryPoints = async (CWD) => {
    const rearguardConfig = new RearguardConfig_1.RearguardConfig(CWD);
    const contextPath = path_1.default.resolve(CWD, rearguardConfig.getContext());
    const entryPath = path_1.default.resolve(contextPath, rearguardConfig.getEntry());
    return [entryPath];
};
exports.getLibEntryPoint = async (CWD) => {
    const rearguardConfig = new RearguardConfig_1.RearguardConfig(CWD);
    const contextPath = path_1.default.resolve(CWD, rearguardConfig.getContext());
    const libEntryPath = path_1.default.resolve(contextPath, rearguardConfig.getLibEntry());
    const snakeName = rearguardConfig.getSnakeName();
    return {
        [bundleNaming_1.getLIBRuntimeName(snakeName)]: [libEntryPath],
    };
};
exports.getDllEntryPoint = async (CWD) => {
    const rearguardConfig = new RearguardConfig_1.RearguardConfig(CWD);
    const contextPath = path_1.default.resolve(CWD, rearguardConfig.getContext());
    const dllEntryPath = path_1.default.resolve(contextPath, rearguardConfig.getDllEntry());
    const snakeName = rearguardConfig.getSnakeName();
    return {
        [bundleNaming_1.getDLLRuntimeName(snakeName)]: [dllEntryPath],
    };
};
//# sourceMappingURL=getEntryPoints.js.map