"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const getBundleIntrospection_1 = require("../../components/procedures/getBundleIntrospection");
const bundleNaming_1 = require("../../helpers/bundleNaming");
exports.getExternals = async (CWD, isDevelopment) => {
    const bundleIntrospection = await getBundleIntrospection_1.getBundleIntrospections(CWD, isDevelopment);
    const externals = {};
    for (const { hasBrowserLib, pkgName, pkgSnakeName } of bundleIntrospection) {
        if (hasBrowserLib) {
            externals[pkgName] = {
                var: bundleNaming_1.getLIBRuntimeName(pkgSnakeName),
            };
        }
    }
    if (Object.keys(externals).length > 0) {
        console.log(chalk_1.default.bold.green("[ EXTERNAL ][ LIBs ]"));
        for (const key in externals) {
            if (externals.hasOwnProperty(key)) {
                const types = Object.keys(externals[key]);
                for (const type of types) {
                    console.log(chalk_1.default.green(`[ ${key} ][ ${type} ][ ${externals[key][type]} ]`));
                }
            }
        }
        console.log(chalk_1.default.bold.green(""));
    }
    return externals;
};
//# sourceMappingURL=getExternals.js.map