"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const RearguardConfig_1 = require("../../configs/RearguardConfig");
const bundleNaming_1 = require("../../helpers/bundleNaming");
exports.getAppOutput = (CWD, isDevelopment) => {
    const rearguardConfig = new RearguardConfig_1.RearguardConfig(CWD);
    const { path, publicPath } = rearguardConfig.getOutput();
    return { path: path_1.resolve(CWD, path), publicPath: isDevelopment ? "/" : publicPath };
};
exports.getLibOutput = (CWD, isDevelopment) => {
    const rearguardConfig = new RearguardConfig_1.RearguardConfig(CWD);
    const snakeName = rearguardConfig.getSnakeName();
    const { publicPath } = rearguardConfig.getOutput();
    return {
        path: bundleNaming_1.getLIBBundleOutputPath(CWD, snakeName, isDevelopment),
        publicPath: path_1.normalize(`/${isDevelopment ? "/" : publicPath}/${snakeName}/${bundleNaming_1.getBundleSubDir(isDevelopment)}/`),
        library: bundleNaming_1.getLIBRuntimeName(snakeName),
        libraryTarget: "var",
    };
};
exports.getDllOutput = (CWD, isDevelopment) => {
    const rearguardConfig = new RearguardConfig_1.RearguardConfig(CWD);
    const snakeName = rearguardConfig.getSnakeName();
    const { publicPath } = rearguardConfig.getOutput();
    return {
        path: bundleNaming_1.getDLLBundleOutputPath(CWD, snakeName, isDevelopment),
        publicPath: path_1.normalize(`/${isDevelopment ? "/" : publicPath}/${snakeName}/${bundleNaming_1.getBundleSubDir(isDevelopment)}/`),
        library: bundleNaming_1.getDLLRuntimeName(snakeName),
        libraryTarget: "var",
    };
};
//# sourceMappingURL=getOutput.js.map