"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const webpack_manifest_plugin_1 = __importDefault(require("webpack-manifest-plugin"));
const RearguardConfig_1 = require("../../../configs/RearguardConfig");
exports.getManifestPlugin = (CWD, output, isDevelopment) => {
    const rearguardConfig = new RearguardConfig_1.RearguardConfig(CWD);
    const isBrowser = rearguardConfig.isBrowser();
    const isApp = rearguardConfig.isApp();
    if (isBrowser && isApp) {
        return [
            new webpack_manifest_plugin_1.default({
                fileName: "asset-manifest.json",
                publicPath: isDevelopment ? "/" : output.publicPath,
                generate: (seed, files, entrypoints) => {
                    const manifestFiles = files.reduce((manifest, file) => {
                        manifest[file.name] = file.path;
                        return manifest;
                    }, seed);
                    const entrypointFiles = [];
                    for (const key in entrypoints) {
                        if (entrypoints.hasOwnProperty(key)) {
                            entrypoints[key]
                                .filter((fileName) => !fileName.endsWith(".map"))
                                .forEach((fileName) => {
                                entrypointFiles.push(fileName);
                            });
                        }
                    }
                    return {
                        files: manifestFiles,
                        entrypoints: entrypointFiles,
                    };
                },
            }),
        ];
    }
    return [];
};
//# sourceMappingURL=getManifestPlugin.js.map